Bug 314391 - codec Realtek ALC 885
codec Realtek ALC 885
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Brian Maly
Martin Jenner
: FutureFeature, OtherQA
Depends On:
Blocks: 335381 367631 422551 428964 430698
  Show dependency treegraph
Reported: 2007-10-01 14:26 EDT by Bhavna Sarathy
Modified: 2009-06-19 21:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-30 17:02:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bhavna Sarathy 2007-10-01 14:26:27 EDT
Description of problem:
The audio(codec Realtek ALC 885) on Shiner board does not work under RHEL4.6
Snapshot2 WS.  This audio codec works under R5.1.

Version-Release number of selected component (if applicable):
Comment 1 Andrius Benokraitis 2007-10-22 22:14:21 EDT
I'm going to assume this never worked in RHEL 4, and there therefore new
hardware enablement which requires a backport.
Comment 2 Brian Maly 2007-10-23 11:07:33 EDT
Support for this codec is in RHEL4, but this hardware seems to need a quirk or
special config or something. The hardware deviates from the norm somehow and
needs something special to get it working.
Comment 3 Jaroslav Kysela 2008-01-10 11:21:46 EST
Please, attach output from 'cat /proc/asound/card0/codec*'.
Comment 5 Bhavna Sarathy 2008-02-19 14:35:36 EST
Just want to be sure that this gets addressed and fixed in 4.7.   Brian, are you
working on this?   I'd assume that AMD chipset QA team can help with testing,
unless you have the necessary hardware.
Comment 6 Brian Maly 2008-02-19 16:02:01 EST
If we can identify a fix thats upstream then its possible to get his in 4.7.
The hda_intel (aka AZX) driver was updated in a patch (backported from ALSA
1.0.15) that was posted for 4.6 but this has apparently not yet been included
yet in RHEL. This update may resolve the issue without any further code. I
suggest this be tested when available. For now, you may want to just verify the
issue is resolved in ALSA 1.0.15

Download 1.0.15 from here http://people.redhat.com/stransky/alsa/index.html
and confirm it resolves the issue. If its not resolved in 1.0.15 we will need
the codec info... see Comment #3, otherwise the hda_intel (AZX) update should
resolve this if 1.0.15 works OK.
Comment 7 Yang, Libin 2008-02-21 04:48:19 EST
ALC885 worked after updating to 1.0.15

Actually, patch in:
can fix this bug too.

Our QA has test ALC885 after using the patch, it works well.

So what's the most important is whether RHEL4.7 will accept the patch.
Comment 11 Vivek Goyal 2008-05-16 13:35:22 EDT
Committed in 70.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 12 Chris Ward 2008-07-29 03:28:34 EDT
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.

Note You need to log in before you can comment on or make changes to this bug.